## systemdgenie 1.0.0+p24.04+vunstable+git20260123.0607

=== debian/changelog ===
systemdgenie (1.0.0+p24.04+vunstable+git20260123.0607-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 23 Jan 2026 06:07:33 +0000

systemdgenie (1.0.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 06 Sep 2022 15:47:38 +0000

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.sig/ https://download.kde.org/stable/systemdgenie/@PACKAGE@@ANY_VERSION@.tar.zst

## systemdgenie 1.0.0+p24.04+vunstable+git20260130.1432

=== CMakeLists.txt ===
project(SYSTEMD-GENIE)
set(PROJECT_VERSION "0.100.0")

cmake_minimum_required(VERSION 3.20 FATAL_ERROR)

# Silence a warning
cmake_policy(SET CMP0063 NEW)

find_package(ECM 6.9.0 REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
set(CMAKE_AUTOMOC ON)
set(CMAKE_INCLUDE_CURRENT_DIR ON)

include(FeatureSummary)
include(CheckIncludeFiles)

include(KDEInstallDirs)
include(KDECompilerSettings)
include(KDECMakeSettings)
include(KDEGitCommitHooks)
include(KDEClangFormat)
include(ECMDeprecationSettings)

include(ECMQmlModule)

set(CMAKE_CXX_STANDARD 20)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

find_package(Qt6 ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS
    DBus
    Gui
    Widgets
    Quick
)

find_package(KF6 REQUIRED COMPONENTS
    Auth
    CoreAddons
    Crash
    I18n
    TextEditor
    KIO
)

include(ECMSetupVersion)
ecm_setup_version(${PROJECT_VERSION}
                  VARIABLE_PREFIX SYSTEMDGENIE
                  VERSION_HEADER "systemdgenie_version.h")

find_package(PkgConfig REQUIRED)
pkg_check_modules(SYSTEMD "systemd>=209" REQUIRED IMPORTED_TARGET)
pkg_check_modules(JOURNALD "libsystemd>=209" REQUIRED IMPORTED_TARGET)

set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fexceptions")

# Adding local CMake modules
set (
   CMAKE_MODULE_PATH
   ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules
   ${CMAKE_MODULE_PATH}
   )

add_definitions(-DTRANSLATION_DOMAIN=\"systemdgenie\")

include_directories(
    ${CMAKE_CURRENT_SOURCE_DIR}
    ${CMAKE_BINARY_DIR}
)

ecm_set_disabled_deprecation_versions(
    QT 6.9.0
    KF 6.12.0
)

add_subdirectory(src)

ki18n_install(po)

file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES src/*.cpp src/*.h)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== src/CMakeLists.txt ===
add_subdirectory(helper)

set_source_files_properties(dbus/org.freedesktop.systemd1.Manager.xml PROPERTIES
    NO_NAMESPACE TRUE
    INCLUDE "systemdunit.h"
)

set_source_files_properties(dbus/org.freedesktop.login1.Manager.xml PROPERTIES
    NO_NAMESPACE TRUE
    INCLUDE "loginddbustypes.h"
)

set_source_files_properties(dbus/org.freedesktop.login1.Session.xml PROPERTIES
    NO_NAMESPACE TRUE
    INCLUDE "loginddbustypes.h"
)

qt_add_dbus_interface(systemd_DBUS_SRCS
    dbus/org.freedesktop.systemd1.Manager.xml
    systemd_manager_interface
)

qt_add_dbus_interface(systemd_DBUS_SRCS
    dbus/org.freedesktop.login1.Manager.xml
    login_manager_interface
)

qt_add_dbus_interface(systemd_DBUS_SRCS
    dbus/org.freedesktop.login1.Session.xml
    login_session_interface
)

set(systemdgenie_SRCS
    main.cpp
    unitmodel.cpp
    unitmodel.h
    sortfilterunitmodel.cpp
    sortfilterunitmodel.h
    systemdunit.cpp
    systemdunit.h
    configfilemodel.cpp
    configfilemodel.h
    sessionmodel.cpp
    sessionmodel.h
    types.cpp
    types.h
    editor.cpp
    editor.h
    timermodel.cpp
    timermodel.h
    controller.cpp
    controller.h

    job/sessionsfetchjob.cpp
    job/sessionsfetchjob.h
    job/unitsfetchjob.cpp
    job/unitsfetchjob.h

    systemd_unit_interface.cpp
    systemd_unit_interface.h
    systemd_timer_interface.cpp
    systemd_timer_interface.h

    ${systemd_DBUS_SRCS}
)

add_executable(systemdgenie ${systemdgenie_SRCS})

ecm_add_qml_module(systemdgenie
    GENERATE_PLUGIN_SOURCE
    URI org.kde.systemdgenie
)

qt_target_qml_sources(systemdgenie
    QML_FILES
        qml/Main.qml
        qml/ConfigFilesPage.qml
        qml/TableDelegate.qml
        qml/TablePage.qml
        qml/UnitsPage.qml
        qml/UnitPage.qml
        qml/SessionsPage.qml
        qml/TimersPage.qml
)

target_link_libraries(systemdgenie PRIVATE
    Qt::Quick
    Qt::Qml
    KF6::AuthCore
    KF6::CoreAddons
    KF6::Crash
    KF6::I18n
    KF6::I18nQml
    KF6::TextEditor
    KF6::KIOGui
    PkgConfig::JOURNALD
)
install(TARGETS systemdgenie ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

install(FILES org.kde.systemdgenie.desktop DESTINATION ${KDE_INSTALL_APPDIR})
install(FILES org.kde.systemdgenie.metainfo.xml DESTINATION ${KDE_INSTALL_METAINFODIR})

=== src/helper/CMakeLists.txt ===
# Build & Link
add_executable(systemdgeniehelper helper.cpp helper.h)
target_link_libraries(systemdgeniehelper Qt::DBus KF6::AuthCore)

# Install
install(TARGETS systemdgeniehelper DESTINATION ${KAUTH_HELPER_INSTALL_DIR})
kauth_install_helper_files(systemdgeniehelper org.kde.kcontrol.systemdgenie root)
kauth_install_actions(org.kde.kcontrol.systemdgenie systemdgenie.actions)

=== debian/changelog ===
systemdgenie (1.0.0+p24.04+vunstable+git20260130.1432-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 30 Jan 2026 14:32:49 +0000

=== debian/control ===
Source: systemdgenie
Section: kde
Priority: optional
Build-Depends: cmake,
               debhelper-compat (= 13),
               kf6-extra-cmake-modules,
               kf6-kauth-dev,
               kf6-kcoreaddons-dev,
               kf6-kcrash-dev,
               kf6-ki18n-dev,
               kf6-kio-dev,
               kf6-ktexteditor-dev,
               kf6-kxmlgui-dev,
               libpolkit-qt6-1-dev,
               libsystemd-dev,
               pkg-kde-tools-neon,
               qt6-base-dev
Standards-Version: 4.6.2
Homepage: https://invent.kde.org/system/systemdgenie
Vcs-Git: https://invent.kde.org/neon/neon-packaging/systemdgenie.git
Vcs-Browser: https://invent.kde.org/neon/neon-packaging/systemdgenie
Maintainer: Neon CI <neon@kde.org>

Package: systemdgenie
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Systemd Management Tool
 Tool for Systemd Management
